<?xml version="1.0" encoding="utf-8" ?>
<select>
  <selectstr>
SELECT mattresstypeid
	,typecode
	,typename
	,if_top_side
	,if_button_sdie
	,if_big_side
	,formula_big_side
	,if_small_side
	,formula_small_side
	,if_v_side
	,formula_v_side
	,if_in_cloth_cover
	,if_out_cloth_cover
	,biandaiqty
	,hrcost_formula
	,dianceng_sort
	,dianceng_area
	,if_small_side2
	,if_small_side3
	,if_v_side2
	,if_v_side3
	,zhizao_amt
	,guanli_rate
	,createtime
	,createby
FROM u_mattress_type
  </selectstr>
  <where>
	  <when notnull="@arg_mattresstypeid">
		  u_mattress_type.mattresstypeid = @arg_mattresstypeid
	  </when>
  </where>
  <orderstr>
  </orderstr>
  <displayfields>
	<field field="pid" compute="getrow()">序</field>
	<field field="typecode">编号</field>
	<field field="typename">名称</field>
	<field field="if_top_side" datatype="checkbox">面裥面</field>
	<field field="if_button_sdie" datatype="checkbox">底裥面</field>
	<field field="if_big_side" datatype="checkbox">大侧裥面</field>
	<field field="formula_big_side">大侧高度公式</field>
	<field field="if_small_side" datatype="checkbox">小侧裥面1</field>
	<field field="formula_small_side">小侧高度公式</field>
	<field field="if_v_side" datatype="checkbox">V侧裥面1</field>
	<field field="formula_v_side">V侧高度公式</field>
	<field field="createtime">建立时间</field>
	<field field="createby">建立人</field>
	<field field="biandaiqty">边带条数</field>
	<field field="hrcost_formula">基础款式单价公式</field>
	<field field="dianceng_sort">垫层默认设置</field>
	<field field="dianceng_area">垫层可选位置</field>
	<field field="if_small_side2" datatype="checkbox">小侧裥面2</field>
	<field field="if_small_side3" datatype="checkbox">小侧裥面3</field>
	<field field="if_v_side2" datatype="checkbox">V侧裥面2</field>
	<field field="if_v_side3" datatype="checkbox">V侧裥面3</field>
	<field field="zhizao_amt">制造费用</field>
	<field field="guanli_rate">管理费率</field>
  </displayfields>
</select>